/** @format */

import * as React from 'react';
import {InterfaceType} from '../../const/status';
import Select, {SelectOptionProp, SelectProps} from './select';
const options: SelectOptionProp[] = [];
Object.keys(InterfaceType).map(element => {
    if (isNaN(element as any)) {
        options.push({
            value: InterfaceType[element as any],
            key: InterfaceType[element as any],
            label: element,
        });
    }
});

export default React.forwardRef((props: SelectProps, ref) => {
    return <Select ref={ref} options={options} {...props} />;
});
